Page MenuHomePhabricator

Implement wbsearchentities in pywikibot
Closed, ResolvedPublic

Description

wbsearchentities can be used in Wikidata to search for items. Documentation at https://www.wikidata.org/w/api.php and example at https://www.wikidata.org/w/api.php?action=wbsearchentities&search=Rembrandt&language=en

Shoul probably added as to BaseSite and a pagegenerator should be added to make use of it.


Version: core-(2.0)
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:30 AM
bzimport set Reference to bz66949.
bzimport added a subscriber: Unknown Object (????).
jayvdb moved this task from Backlog to Framework on the Pywikibot-Wikidata board.Nov 30 2014, 12:12 PM

Change 179586 had a related patch set uploaded (by M4tx):
Implement wbsearchentities

https://gerrit.wikimedia.org/r/179586

Patch-For-Review

jayvdb moved this task from Backlog to pywikibot on the Google-Code-in-2014 board.Dec 13 2014, 2:18 AM

Change 179586 merged by jenkins-bot:
Implement wbsearchentities

https://gerrit.wikimedia.org/r/179586

Change 186176 had a related patch set uploaded (by M4tx):
Fix TypeError in APIGenerator.set_maximum_items on Python3

https://gerrit.wikimedia.org/r/186176

Patch-For-Review

m4tx claimed this task.Jan 21 2015, 8:35 PM

Change 186176 merged by jenkins-bot:
Fix TypeError in APIGenerator.set_maximum_items on Python3

https://gerrit.wikimedia.org/r/186176

Change 186243 had a related patch set uploaded (by M4tx):
Improve automatical reducing the query increment

https://gerrit.wikimedia.org/r/186243

Patch-For-Review

jayvdb closed this task as Resolved.Jan 23 2015, 6:56 AM